---
title: HTMLMediaElement.load()
slug: Web/API/HTMLMediaElement/load
tags:
  - API
  - Audio
  - Element
  - HTML DOM
  - HTMLMediaElement
  - Media
  - Method
  - Reference
  - Video
  - load
  - reset
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The {{domxref("HTMLMediaElement")}} method <code><strong>load()</strong></code> resets the media element to its initial state and begins the process of selecting a media source and loading the media in preparation for playback to begin at the beginning.</span> The amount of media data that is prefetched is determined by the value of the element's {{htmlattrxref("preload", "video")}} attribute.</p>

<p>This method is generally only useful when you've made dynamic changes to the set of sources available for the media element, either by changing the element's {{htmlattrxref("src", "video")}} attribute or by adding or removing {{HTMLElement("source")}} elements nested within the media element itself. <code>load()</code> will reset the element and rescan the available sources, thereby causing the changes to take effect.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>mediaElement</em>.load();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>Calling <code>load()</code> aborts all ongoing operations involving this media element, then begins the process of selecting and loading an appropriate media resource given the options specified in the {{HTMLElement("audio")}} or {{HTMLElement("video")}} element and its {{htmlattrxref("src", "video")}} attribute or child {{HTMLElement("source")}} element(s). This is described in more detail in {{SectionOnPage("/en-US/docs/Learn/HTML/Multimedia_and_embedding/Video_and_audio_content", "Supporting multiple formats")}}.</p>

<p>The process of aborting any ongoing activities will cause any outstanding {{jsxref("Promise")}}s returned by {{domxref("HTMLMediaElement.play", "play()")}} being resolved or rejected as appropriate based on their status before the loading of new media can begin. Pending play promises are aborted with an <code>"AbortError"</code> {{domxref("DOMException")}}.</p>

<p>Appropriate events will be sent to the media element itself as the load process proceeds:</p>

<ul>
 <li>If the element is already in the process of loading media, that load process is aborted and the <strong>{{event("abort")}}</strong> event is sent.</li>
 <li>If the element has already been initialized with media, the <strong>{{event("emptied")}}</strong> event is sent.</li>
 <li>If resetting the playback position to the beginning of the media actually changes the playback position (that is, it was not already at the beginning), a <strong>{{event("timeupdate")}}</strong> event is sent.</li>
 <li>Once media has been selected and loading is ready to begin, the <strong>{{event("loadstart")}}</strong> event is delivered.</li>
 <li>From this point onward, events are sent just like any media load.</li>
</ul>

<h2 id="Example">Example</h2>

<p>This example finds a {{HTMLElement("video")}} element in the document and resets it by calling <code>load()</code>.</p>

<pre class="brush: js">var mediaElem = document.querySelector("video");
mediaElem.load();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "media.html#dom-media-load", "HTMLMediaElement.load()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "semantics-embedded-content.html#dom-htmlmediaelement-load", "HTMLMediaElement.load()")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.load")}}</p>
